--- old/usr/src/lib/libuutil/common/uu_avl.c	2015-09-10 10:06:57.819906357 -0400
+++ new/usr/src/lib/libuutil/common/uu_avl.c	2015-09-10 10:06:57.823546497 -0400
@@ -21,10 +21,10 @@
 /*
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include "libuutil_common.h"
 
 #include <stdlib.h>
@@ -274,6 +274,16 @@
 	uu_free(ap);
 }
 
+void
+uu_avl_recreate(uu_avl_t *ap)
+{
+	uu_avl_pool_t *pp = ap->ua_pool;
+
+	avl_destroy(&ap->ua_tree);
+	avl_create(&ap->ua_tree, &uu_avl_node_compare, pp->uap_objsize,
+	    pp->uap_nodeoffset);
+}
+
 size_t
 uu_avl_numnodes(uu_avl_t *ap)
 {
